package com.ruoyi.system.mapper.grid;

import com.ruoyi.system.domain.grid.ext.GridGroupLandExt;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface GridGroupLandExtMapper {

    List<GridGroupLandExt> getByGroupId(@Param("groupId") String groupId);

    List<GridGroupLandExt> getByGroupIds(@Param("groupIds") List<String> groupIds);

    List<Map<String, String>> getRelatedCompanyList(@Param("landIds") List<String> landIds);

    List<Map<String, String>> getPermuSortList(@Param("year") String year);
}